import request from '@/utils/request'

export function listExamine(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/list',
    method: 'get',
    params: query
  })
}

export function getExamine(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/' + id,
    method: 'get'
  })
}

export function addExamine(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine',
    method: 'post',
    data: data
  })
}

export function updateExamine(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine',
    method: 'put',
    data: data
  })
}

export function delExamine(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/' + id,
    method: 'delete'
  })
}

export function refuse(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/refuse',
    method: 'post',
    data: data
  })
}export function agree(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/agree',
    method: 'post',
    data: data
  })
}export function refuseIds(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-entrust'
  return request({
    url: '/business/examine/refuseIds',
    method: 'post',
    data: data
  })
}